--- title: "creditcards" slug: "creditcards" updated: 2026-06-02T14:38:22Z published: 2026-06-02T14:38:22Z canonical: "api-docs.blinkpayment.co.uk/creditcards" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # creditcards Post/api/pay/v1/creditcards Using the credit cards resource to accept ECOM and MOTO payments. For ECOM, the response will be an html form (*acsform*) that needs to be auto-submitted for the transaction to go through 3Ds checks. MOTO payments will be processed immediately. **Request Headers** For ECOM payments, as well as the authentication bearer token, there are additional parameters that need to be added to the request header. - `Accept` Specifies the media types (MIME types) the client can process in the response (e.g. `application/json`, `text/html`). - `Accept-Encoding` Indicates the compression methods the client supports (e.g. `gzip`, `deflate`, `br`) - `User-Agent`: Identifies the client making the request (browser, app, or bot) and its version (e.g. `Mozilla/5.0 (Windows NT 10.0; Win64; x64) Chrome/120.0.0.0`). - `Content-Type`: Defines the media type of the request body (e.g. `application/json` for JSON data or `application/x-www-form-urlencoded` for form data) - `Accept-Charset`: Specifies the character encodings the client supports (e.g., `UTF-8`, `ISO-8859-1`). **Request Body** - `payment_intent` (string, required): The payment intent token. - `paymentToken` (string, required): The tokenised card details. - `type` (integer, required): For ECOM, value is 1. For MOTO, value is 2. - `customer_email` (string, required): The email address of the customer making the payment. - `customer_name` (string, required): The name of the customer making the payment. - `transaction_unique` (string, required): A unique identifier for the transaction. - `device_timezone` (string, required): Device timezone value which can be fetched using javascript and assigned to the respective hosted input field. - `device_capabilities` (string, required): Device capabilities which can be fetched using javascript and assigned to the respective hosted input field. - `device_accept_language` (string, required): Device accept language which can be fetched using javascript and assigned to the respective hosted input field. - `device_screen_resolution` (string, required): Device accept language which can be fetched using javascript and assigned to the respective hosted input field. - `remote_address` (string, required): Remote address which can be fetched using javascript and assigned to the respective hosted input field. - `merchant_data` (json, optional): Additional custom data related to the merchant or customer. **Response** **ECOM**: The response can vary depending on the card issuer's requirements for needing to complete a 3DS challenge. *3DS challenge required*: `acsform` (string): an html form to be submitted for 3DS screening. See [here how to handle the 3DS form](/apidocs/3ds-handling). *Frictionless 3DS challenge*: `url` (string): The `return_url` entered in the intent with query parameters of the transaction result. **MOTO**: `url` (string): The `return_url` entered in the intent with query parameters of the transaction result. For Stripe merchants, please refer to this [page](https://api-docs.blinkpayment.co.uk/apidocs/stripe-connected-merchants). SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Accept-CharsetstringExample"" Body parametersobject Example{ "payment_intent": "{{payment_intent}}", "paymentToken": "{{paymentToken}}", "type": 1, "customer_email": "{{$randomEmail}}", "customer_name": "{{$randomFullName}}", "transaction_unique": "{transaction_unique}", "merchant_data": "{\"order_id\": \"cc-12345678\"}", "device_timezone": "-330", "device_capabilities": "javascript", "device_accept_language": "en-GB", "device_screen_resolution": "1366x768x24", "remote_address": "123.123.123.123" } Responses200 Successful response ## Card Testing For Card Testing information, please refer to the [Test Credentials](https://api-docs.blinkpayment.co.uk/docs/test-credentials) section of our API documentation.